CREATE TABLE gtg_aar_approved_role_req (
    AAR_REQ_ID           NUMBER(18, 0) ,
    REQUESTED_BY         VARCHAR2(1020)    NOT NULL,
    REQUESTED_BY_GUID    VARCHAR2(256)     NOT NULL,
    REQUEST_COMMENT      VARCHAR2(4000),
    REQUESTED_DATE       TIMESTAMP(6)      NOT NULL,
    ASSIGNED_TO          VARCHAR2(1020),
    ASSIGNED_TO_GUID     VARCHAR2(256) ,
    ASSIGNED_BY          VARCHAR2(1020),
    ASSIGNED_BY_GUID     VARCHAR2(256) ,
    ASSIGN_COMMENT       VARCHAR2(4000),
    ASSIGNED_DATE        TIMESTAMP(6)  ,
    REVIEWED_BY          VARCHAR2(1020),
    REVIEWED_BY_GUID     VARCHAR2(256) ,
    REVIEW_COMMENT       VARCHAR2(4000),
    REVIEWED_DATE        TIMESTAMP(6)  ,
    APPROVED_BY          VARCHAR2(1020)    NOT NULL,
    APPROVED_BY_GUID     VARCHAR2(256)     NOT NULL,
    APPROVE_COMMENT      VARCHAR2(4000),
    APPROVED_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    AAR_REQ_ID           NUMBER(18, 0) ,
    REQUESTED_BY         VARCHAR2(1020)    NOT NULL,
    REQUESTED_BY_GUID    VARCHAR2(256)     NOT NULL,
    REQUEST_COMMENT      VARCHAR2(4000),
    REQUESTED_DATE       TIMESTAMP(6)      NOT NULL,
    ASSIGNED_TO          VARCHAR2(1020),
    ASSIGNED_TO_GUID     VARCHAR2(256) ,
    ASSIGNED_BY          VARCHAR2(1020),
    ASSIGNED_BY_GUID     VARCHAR2(256) ,
    ASSIGN_COMMENT       VARCHAR2(4000),
    ASSIGNED_DATE        TIMESTAMP(6)  ,
    REVIEWED_BY          VARCHAR2(1020),
    REVIEWED_BY_GUID     VARCHAR2(256) ,
    REVIEW_COMMENT       VARCHAR2(4000),
    REVIEWED_DATE        TIMESTAMP(6)  ,
    APPROVED_BY          VARCHAR2(1020)    NOT NULL,
    APPROVED_BY_GUID     VARCHAR2(256)     NOT NULL,
    APPROVE_COMMENT      VARCHAR2(4000),
    APPROVED_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_gtg_aar_approved_role_req PRIMARY KEY (AAR_REQ_ID, AAR_REQ_ID)
);
